Get a transaction
curl --request GET \
--url https://staging.api.krypta-pay.com/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.krypta-pay.com/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.api.krypta-pay.com/v1/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.krypta-pay.com/v1/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true,
"data": {
"id": "<string>",
"reference": "<string>",
"type": "PAYIN",
"direction": "INCOMING",
"status": "PENDING",
"amount": "<string>",
"currency": "XOF",
"fee": "<string>",
"grossAmount": "<string>",
"network": "MTN_BJ",
"description": "<string>",
"category": "<string>",
"initiatedAt": "<string>",
"settledAt": "<string>",
"failedAt": "<string>",
"failureReason": "<string>",
"metadata": "<unknown>"
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Invalid or expired API key"
}
}{
"ok": false,
"error": {
"code": "kyb_required",
"message": "Your organization must complete KYB verification."
}
}{
"ok": false,
"error": {
"code": "not_found",
"message": "Payout not found"
}
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded, retry in 1 minute"
}
}Transactions
Get a transaction
GET
/
v1
/
transactions
/
{id}
Get a transaction
curl --request GET \
--url https://staging.api.krypta-pay.com/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.krypta-pay.com/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.api.krypta-pay.com/v1/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.krypta-pay.com/v1/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true,
"data": {
"id": "<string>",
"reference": "<string>",
"type": "PAYIN",
"direction": "INCOMING",
"status": "PENDING",
"amount": "<string>",
"currency": "XOF",
"fee": "<string>",
"grossAmount": "<string>",
"network": "MTN_BJ",
"description": "<string>",
"category": "<string>",
"initiatedAt": "<string>",
"settledAt": "<string>",
"failedAt": "<string>",
"failureReason": "<string>",
"metadata": "<unknown>"
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Invalid or expired API key"
}
}{
"ok": false,
"error": {
"code": "kyb_required",
"message": "Your organization must complete KYB verification."
}
}{
"ok": false,
"error": {
"code": "not_found",
"message": "Payout not found"
}
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded, retry in 1 minute"
}
}⌘I
